Name:           openerp-client
Version:        6.1
Release:        2%{?dist}
                # See LICENSING
License:        AGPLv3 and GPLv3+ and LGPLv3+
Group:          Applications/Databases
Summary:        Business Applications Server Client
URL:            http://www.openerp.com
Source0:        http://nightly.openerp.com/%{version}/releases/%{name}-%{version}-1.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}-licensing
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libxslt-python
BuildRequires:  pygtk2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-tools
BuildRequires:  python2-devel

Requires:       hippo-canvas-python
Requires:       mx
Requires:       pydot
Requires:       pygobject2
Requires:       pygtk2-libglade
Requires:       python-dateutil
Requires:       python-lxml
Requires:       python-matplotlib
Requires:       python-spiffgtkwidgets


%description
Gtk client for Open ERP.

OpenERP is a free Enterprise Resource Planning and Customer Relationship
Management software. It is mainly developed to meet changing needs.

This package only contains the thin, native client for the ERP application.
After installing this, you will be able to connect to any OpenERP server
running in your local network or the Internet.


%prep
%setup -q -n %{name}-%{version}.1

# Remove bundled stuff and foreign packaging
rm -f setup.nsi
rm -rf bin/SpiffGtkWidgets
sed -i '/SpiffGtkWidgets/d' setup.py
rm -f msgfmt.py

sed -i -e '\;/usr/bin/env;d' bin/release.py bin/%{name}.py
sed -i -e 's/\r//' doc/README* doc/License.rtf
chmod 644 doc/License.rtf


%build
PYTHONPATH=%{_bindir} %{__python} ./setup.py --quiet build


%install
PYTHONPATH=%{_bindir} \
    %{__python} ./setup.py --quiet install --root=%{buildroot}

rm -rf %{buildroot}%{_docdir}/*
rm doc/INSTALL
cp %{SOURCE2} doc

install -m 644 -D bin/pixmaps/openerp-icon.png \
    %{buildroot}%{_datadir}/icons/%{name}/openerp-icon.png

# https://bugs.launchpad.net/bugs/994216
# Adjusting locale names for Albania, Ukraine
pushd %{buildroot}/%{_datadir}/locale
    mv al sq
    rm -r ua # there is already an "uk" file for Ukraine, ua seems old.
popd

mkdir %{buildroot}%{_datadir}/applications
desktop-file-install \
    --dir  %{buildroot}%{_datadir}/applications \
    %{SOURCE1}

%find_lang %{name}


%post
update-desktop-database %{_datadir}/applications > /dev/null || :
touch --no-create %{_datadir}/icons &>/dev/null || :

%postun
update-desktop-database %{_datadir}/applications > /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons &>/dev/null || :


%files -f %{name}.lang
%doc doc/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/%{name}
%{_datadir}/pixmaps/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/openerp_client*egg-info


%changelog
* Wed Jun 13 2012 Alec Leamas <leamas@nowhere.net> 6.1-2
  - Dropping initial changelog from bug 693425
* Wed Jun 13 2012 Alec Leamas <leamas@nowhere.net> 6.1-2
  - Initial review remarks: rename sources.
* Thu May 3 2012 Alec Leamas <leamas@nowhere.net> 6.1-1
  - Initial release for v 6.1

